com.lowagie.text.pdf

## Class Pfm2afm

- java.lang.Object
- - com.lowagie.text.pdf.Pfm2afm

-     public final class Pfm2afm
      extends java.lang.Object

  Converts a PFM file into an AFM file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private short` | `ascender`
    `private short` | `ascent`
    `private short` | `avgwidth`
    `private int` | `bitoff`
    `private int` | `bits`
    `private byte` | `brkchar`
    `private short` | `capheight`
    `private byte` | `charset`
    `private int` | `chartab`
    `private java.lang.String` | `copyright`
    `private byte` | `defchar`
    `private short` | `descender`
    `private int` | `device`
    `private short` | `extleading`
    `private short` | `extlen`
    `private int` | `face`
    `private int` | `firstchar`
    `private int` | `fontname`
    `private int` | `h_len`
    `private short` | `horres`
    `private RandomAccessFileOrArray` | `in`
    `private short` | `intleading`
    `private boolean` | `isMono`
    `private byte` | `italic`
    `private int` | `kernpairs`
    `private byte` | `kind`
    `private int` | `lastchar`
    `private short` | `maxwidth`
    `private java.io.PrintWriter` | `out`
    `private byte` | `overs`
    `private short` | `pixheight`
    `private short` | `pixwidth`
    `private short` | `points`
    `private int` | `psext`
    `private int` | `res1`
    `private int` | `res2`
    `private short` | `type`
    `private byte` | `uline`
    `private short` | `verres`
    `private short` | `vers`
    `private short` | `weight`
    `private short` | `widthby`
    `private int[]` | `Win2PSStd` Translate table from 1004 to psstd.
    `private java.lang.String[]` | `WinChars` Windows character names.
    `private int[]` | `WinClass` Character class.
    `private short` | `xheight`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Pfm2afm(RandomAccessFileOrArray in, java.io.OutputStream out)` Creates a new instance of Pfm2afm

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `convert(RandomAccessFileOrArray in, java.io.OutputStream out)` Converts a PFM file into an AFM file.
    `static void` | `main(java.lang.String[] args)`
    `private void` | `openpfm()`
    `private void` | `outchar(int code, int width, java.lang.String name)`
    `private void` | `outval(int n)`
    `private void` | `putchartab()`
    `private void` | `putheader()`
    `private void` | `putkerntab()`
    `private void` | `puttrailer()`
    `private java.lang.String` | `readString()`
    `private java.lang.String` | `readString(int n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### in

          private RandomAccessFileOrArray in

    - #### out

          private java.io.PrintWriter out

    - #### vers

          private short vers

    - #### h_len

          private int h_len

    - #### copyright

          private java.lang.String copyright

    - #### type

          private short type

    - #### points

          private short points

    - #### verres

          private short verres

    - #### horres

          private short horres

    - #### ascent

          private short ascent

    - #### intleading

          private short intleading

    - #### extleading

          private short extleading

    - #### italic

          private byte italic

    - #### uline

          private byte uline

    - #### overs

          private byte overs

    - #### weight

          private short weight

    - #### charset

          private byte charset

    - #### pixwidth

          private short pixwidth

    - #### pixheight

          private short pixheight

    - #### kind

          private byte kind

    - #### avgwidth

          private short avgwidth

    - #### maxwidth

          private short maxwidth

    - #### firstchar

          private int firstchar

    - #### lastchar

          private int lastchar

    - #### defchar

          private byte defchar

    - #### brkchar

          private byte brkchar

    - #### widthby

          private short widthby

    - #### device

          private int device

    - #### face

          private int face

    - #### bits

          private int bits

    - #### bitoff

          private int bitoff

    - #### extlen

          private short extlen

    - #### psext

          private int psext

    - #### chartab

          private int chartab

    - #### res1

          private int res1

    - #### kernpairs

          private int kernpairs

    - #### res2

          private int res2

    - #### fontname

          private int fontname

    - #### capheight

          private short capheight

    - #### xheight

          private short xheight

    - #### ascender

          private short ascender

    - #### descender

          private short descender

    - #### isMono

          private boolean isMono

    - #### Win2PSStd

          private int[] Win2PSStd

      Translate table from 1004 to psstd. 1004 is an extension of the Windows translate table used in PM.

    - #### WinClass

          private int[] WinClass

      Character class. This is a minor attempt to overcome the problem that in the pfm file, all unused characters are given the width of space. Note that this array isn't used in iText.

    - #### WinChars

          private java.lang.String[] WinChars

      Windows character names. Give a name to the used locations for when the all flag is specified.

  - ### Constructor Detail

    - #### Pfm2afm

          private Pfm2afm(RandomAccessFileOrArray in,
                 java.io.OutputStream out)
                   throws java.io.IOException

      Creates a new instance of Pfm2afm
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### convert

          public static void convert(RandomAccessFileOrArray in,
                     java.io.OutputStream out)
                              throws java.io.IOException

      Converts a PFM file into an AFM file.
      Parameters:
        `in` - the PFM file
        `out` - the AFM file
      Throws:
        `java.io.IOException` - on error

    - #### main

          public static void main(java.lang.String[] args)

    - #### readString

          private java.lang.String readString(int n)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readString

          private java.lang.String readString()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### outval

          private void outval(int n)

    - #### outchar

          private void outchar(int code,
                     int width,
                     java.lang.String name)

    - #### openpfm

          private void openpfm()
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### putheader

          private void putheader()
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### putchartab

          private void putchartab()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### putkerntab

          private void putkerntab()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### puttrailer

          private void puttrailer()